import {Component, EventEmitter, Input, Output} from '@angular/core';
import {DataSpinnerComponent} from "@component/common/data-spinner/data-spinner.component";
import {MatIcon} from "@angular/material/icon";
import {MatButton, MatFabButton} from "@angular/material/button";

@Component({
  selector: 'app-loading-indicator',
  standalone: true,
  imports: [
    DataSpinnerComponent,
    MatButton,
    MatIcon,
    MatFabButton
  ],
  templateUrl: './loading-indicator.component.html'
})
export class LoadingIndicatorComponent {
  @Input() loading: boolean = true;
  @Output() retryFunction: EventEmitter<void> = new EventEmitter<void>();
}
